commit:     50ce8988e7554b08f62795c2bec36023585d6a89
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 29 02:40:40 2020 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Mar  2 17:20:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50ce8988

sci-libs/cxsparse: new version 3.2.0.

Update to EAPI=7 and fix the HOMEPAGE, SRC_URI, and LICENSE. This is
part of a larger SuiteSparse v5.4.0 upgrade thanks to François Bissey
whose sage-on-gentoo ebuilds I'm using. There's a newer release
(v5.7.1) of SuiteSparse, but v5.4.0 has seen more testing.

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/cxsparse/Manifest                         |  1 +
 sci-libs/cxsparse/cxsparse-3.2.0.ebuild            | 32 ++++++++++++++++++++++
 .../cxsparse/files/cxsparse-3.2.0-header.patch     | 17 ++++++++++++
 3 files changed, 50 insertions(+)

diff --git a/sci-libs/cxsparse/Manifest b/sci-libs/cxsparse/Manifest
index 13e4af9eaf2..9a888d1cbd7 100644
--- a/sci-libs/cxsparse/Manifest
+++ b/sci-libs/cxsparse/Manifest
@@ -1 +1,2 @@
 DIST cxsparse-3.1.2.tar.bz2 2004570 BLAKE2B 
4f1874e83faa1d831fce3847b82aeb67ae96e59b635489eceed3ed08a0fd0aaef7b0c9e40142f96ae5c7820a75bfb58b4d6a741c742b5a85dd6d8e4d78960be9
 SHA512 
dd3c5e31997564387b6145eaf2069c01e2ae8de384cd775a13ac7ccf03a83b6d0b8bf156a6645547f230dd13fc159d14203a4adcbe65703c154f35ecb161b6e9
+DIST cxsparse-3.2.0.tar.bz2 2080196 BLAKE2B 
9b89469c45e518077c4348ad3efd8d89d248e4c039057c0286ee44b493ab595075894d01530cbfbe845b91ef5e43cfbfdd102721cfeefe943a1cb4bc5f171843
 SHA512 
9931dac5b319b61a39ccb5f34309acb4240602b5f55d029c790ed0b7319a373cb925c4b83994526af4bc5b19b88c723f04581068d1fc80960a290c9d6d1e1aef

diff --git a/sci-libs/cxsparse/cxsparse-3.2.0.ebuild 
b/sci-libs/cxsparse/cxsparse-3.2.0.ebuild
new file mode 100644
index 00000000000..5c8ca14041e
--- /dev/null
+++ b/sci-libs/cxsparse/cxsparse-3.2.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="Extended sparse matrix package"
+HOMEPAGE="http://faculty.cse.tamu.edu/davis/suitesparse.html";
+SRC_URI="http://202.36.178.9/sage/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux 
~x86-macos"
+IUSE="static-libs"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND=">=sci-libs/suitesparseconfig-5.4.0[${MULTILIB_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-3.2.0-header.patch" )
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       # package provides .pc files
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/sci-libs/cxsparse/files/cxsparse-3.2.0-header.patch 
b/sci-libs/cxsparse/files/cxsparse-3.2.0-header.patch
new file mode 100644
index 00000000000..0eaaeda69fd
--- /dev/null
+++ b/sci-libs/cxsparse/files/cxsparse-3.2.0-header.patch
@@ -0,0 +1,17 @@
+diff --git a/CXSparse/Include/cs.h b/CXSparse/Include/cs.h
+index a47ee115..dbdf3017 100644
+--- a/Include/cs.h
++++ b/Include/cs.h
+@@ -43,9 +43,9 @@ extern "C" {
+ #endif
+ 
+ #define CS_VER 3                    /* CXSparse Version */
+-#define CS_SUBVER 1
+-#define CS_SUBSUB 9
+-#define CS_DATE "May 4, 2016"       /* CXSparse release date */
++#define CS_SUBVER 2
++#define CS_SUBSUB 0
++#define CS_DATE "Sept 12, 2017"       /* CSparse release date */
+ #define CS_COPYRIGHT "Copyright (c) Timothy A. Davis, 2006-2016"
+ #define CXSPARSE
+ 

Reply via email to